import { http } from 'mocp/utils/http'

export const getAogListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/getAogList',
        data,
        config
    })
}

export const getWorkBenchListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/workbench/getWorkBenchList',
        data,
        config
    })
}

export const getAogDisposalPlanApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/getAogDisposalPlan',
        data,
        config
    })
}

export const getAogMaterialListApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/getAogMaterialList',
        data,
        config
    })
}

export const getAogSupBaseApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/getAogSupBase',
        data,
        config
    })
}

export const getAogConstructionApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/getAogConstruction',
        data,
        config
    })
}

export const getAogOtherSupApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/getAogOtherSup',
        data,
        config
    })
}

export const updateAogMaterialApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/updateAogMaterial',
        data,
        config
    })
}

export const updateAogConstructionApi = (data, config) => {
    return http({
        method: 'POST',
        url: '/technical-support/updateAogConstruction',
        data,
        config
    })
}
